package edu.berkeley.cs160.group7.BeenThereDoneThatHiFi;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class AboutLevels extends Activity {
	private Button mMainMenuButton;
	private TextView mTitle, mBody;
	private String rankingText;

	
	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle); 
		setContentView(R.layout.about_levels);
		
		mMainMenuButton = (Button) findViewById(R.id.main_menu_button);
		mTitle = (TextView) findViewById(R.id.title);
		mBody = (TextView) findViewById(R.id.info);
		
		if(getIntent().getIntExtra("Activity", 1) == 1){
			mTitle.setText("Start>Main Menu>Rankings>About Levels");
			mBody.setText("0 points:                 Novice Scavenger\n" +
						"1-99 points:            Small Scavenger\n" +
						"100-199 points:      Recreational Scavenger\n" +
						"200-999 points:      Real Scavenger\n" +
						"1000-1999 points:  Epic Scavenger\n" +
						"2000+ points:         Legendary Scavenger");
		}else{
			
			mTitle.setText("Start>Main Menu>Rankings>Top Rankings");
			rankingText = CurrentStatus.onlineRanking();
			mBody.setText(rankingText);
			
			
			
			
			
			
			
		}
		
		//Button Actions
		mMainMenuButton.setOnClickListener(
			new OnClickListener() {
				public void onClick(View v) {
					setResult(RESULT_CANCELED);
					finish();
				}
			});
		
	}
	
	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		switch (keyCode) {
		case KeyEvent.KEYCODE_BACK:
			setResult(RESULT_OK);
			finish();
			return true;
		default:
			return super.onKeyDown(keyCode, event);
		}
	}

	
	
}
